server:
  port: ${liquidnet.info.port}
  tomcat:
    uri-encoding: UTF-8
  servlet:
    context-path: ${liquidnet.info.context}
spring:
  autoconfigure:
    exclude: org.springframework.boot.autoconfigure.amqp.RabbitAutoConfiguration,org.springframework.cloud.bus.BusAutoConfiguration
  application:
    name: ${liquidnet.info.name}
  cloud:
    refresh:
      refreshable: none
    bus:
      trace:
        enabled: true
    config:
      server:
        #以下为读取本地配置方式
                native:
                  search-locations: ${liquidnet.config.location}
        ##          search-locations: file:///E:\projects\liquidnet-bus-v2\liquidnet-bus-config\liquidnet-config

        #以下为读取远程github配置方式
        #        git:
        #          uri: git@github.com:anjiabin/lightnet-config.git
        #          search-paths: ./liquidnet-config
        #          default-label: master
        #          strict-host-key-checking: false
        #          ignore-local-ssh-settings: true
        #          force-pull: true
        #          #这个地方复制你的RSA密码，记得这里有个| 别忘了
        #          private-key: |
        #            -----BEGIN RSA PRIVATE KEY-----
        #            MIIJKQIBAAKCAgEAniLX1ptYvfystQeTgvsu335r6xpo4gFVxmHxebG1SoZ9KKP7
        #            Kg5gz5vPb7f7NwTb/5Z07oxIOyBt8P7e5oOzN13n8ErHJ3zQODDZGj1Qa9Vumfsh
        #            lrqk/zHthHapR0FxxVDJ27E7ElnJzVvu9gBce0qOKIb5t/FCuAV5xjlMHruBD1zT
        #            3A9TRAi3ldQWCI/yShMKY0PTHLEl2nSY7BpYLWndomUr7YaHrRai62/e9ErbOzwY
        #            gAfDfcHEZvA60hm+64gk5O43uMQDiIeezMVXybNU2FRn/sL6obE/bqH9PRQp5h0U
        #            h80UJHnKCFDdRzDc7D/YdxOW7lSpDnBOe5P4uDLmmUGMk/Ktlz9mb0cb2+0v12b4
        #            QLZb/hLUpV5SgpBmIJKIsgD8KFhRTbY5M26yDqp/01FwM7c4hGIBevFDxCFUzyPf
        #            KS0lmjA0jsBdq7B56HAY2NfD5ALTbk9+eQIa3C9oOpo4PmvrwQzAFIY7Nf/ZZH/Y
        #            EkP97qIxiORGTcNac5LCpyerqegidnO919RBeDw/og79X3+4/3JFWBpZ/2U0rU3Y
        #            i5FCSWZQFi8WOo9swbxcUGq4wqjqmvkr3o9JeJQiXa90U09N6lW1SYTJT5XqWoUr
        #            kAfARAgagzRD+4UOOoVGAOCdsCnqlyYPD1wFgj1c5tmLKwVEFLEaxpUIS/cCAwEA
        #            AQKCAgBkYfXlc2OX5sezewW2xcBxew0ChxdBMFvEvPPOrnJIxqq4m6+aeNoXr+60
        #            GnRL7rfAvT+pFj/b2LAxpXjVl5Cyetf6/10AwghjQw7tyzI74ZZ+BJ7D0eNfY9BE
        #            oBbA9thDyw74eL7o3TpvNAay/nO2iBNJwrTOgUY7Dq7ImCKr95brq5+JN+lBbM8t
        #            Ox5pfQbu4rtbW/itY/6FeDKC3g5Pdb6Nke+ariV+SLpO/grnxIT6SyG6VDNSpygH
        #            uEN+j31Ugm35LQcOMM+VYZH6puMdVMttL9d8L0VuUtfTYN0iYqReQOOBeTtqFC2d
        #            rcdpo6j6B2Vf4X2T+QX/9ma7p6jgNV6l2c+V2cWqStd2tj8izR418C8h2STjmb7G
        #            bz9DRZKQ7DXPdSXjenmsBRg+QeZvRbntXBBO+EEmdogGk3/qURX9yUlAVL2xvTO0
        #            YdlRty//6UUuej+mQtm4uBhr4IQyNbu2MwKFqtl1d4BSzzpGWCp45TAhZfol5YP7
        #            vfT7uy7x+dc4jq7ZZMaf6QZqNIiKB6s/1sz1OSBlZzR84GejbZdakQag+6voMtAO
        #            8I97UTh0n7sEknIbl0cU8vAv2xxYR5cpdVsDTPSvfPghxnPrcrgBxhvAKwP5QZAs
        #            TkU46/pLSeQZM9LHurydP7j+OIUHBhJw/mNcNApuqlvENMtTsQKCAQEAzYGciW9l
        #            ztpy2VvkqC2Tq+67wpntVrt1RXWv8MgDhygaGwa0sM4g1JhOBdv1wg4PtVjSL7Y1
        #            eAAfjJKOLkMN87MjJE7u2T0m98ERvpn9kobOSXVYhTWQHZNWopYeRuwgTqhiUxPJ
        #            2tYdqE8LFxcxsLtM9hMSWPDXCxIcikkYmUev8vTgqiJ3YFo1EMFt/4Gd+zJTnoIV
        #            xVBek5Fp1m4/yKwZGybJOhpNqo9GgILb2W9lNNyEtJk1HumHlp+3ylDFV6nFy4yv
        #            FfzngzdVqtx5GPWfbZLizMoTt3pJs7kahBErPR7f3jJPxlkKQ42Gkho2bdjaDoTw
        #            4QNQwJUQv/NLkwKCAQEAxP2jDyQWK278kdf5b4ykwOW4pC1hUNd7Iy+f3mlJ2htq
        #            JknoeKyXexNz8wrfnD5IZ8kegkP2MdRVLlleSQx3TrLlfTyzsClw4Gv+74oV6XYq
        #            f88n9gSh+yHrCefGshMpWZsI4vIjxkTVg2Urv8UoBYQcfNpixKS6jPuA3imzI4i4
        #            eBslzBI5Y0RX/BJvf7DCtZekKHSeDk79THh2Wgu/exceZ4ig9jUqP/RXtWD/bMz+
        #            2LQiz+PgIsSiWBd80AvwnLQnOlWwA6hW6A5u7lUK7Lt/8Yu3McFNrrq/SjWlGQqa
        #            HfrtaycpOBwtdzxeZ/WQJSoKpYKWM9FLrpcrq10kjQKCAQEAxa0nJgxBoff/AZWj
        #            HSK6KWg6s7Xc1tD6vRW3Z6T9v8STV+vbYzbj3ZujcX9jpoZgFdCaXcqnJAb6Uf2n
        #            Rli50vE9nG9Q0SZBlY/hwbXedFO3mnGF9JzRQ6G2dC5ycUYwzXirG76tLBNJ89wU
        #            juGAqr+ACDPQMj14nO2PBnXJc6fBV7K1aPI+YjBjWvq1FFFZ5YdDZ/U5e9MTJl95
        #            rwnd0Om6PKPSbFFg4+9tobA+SakdcPutqwq0TkfUZM69u552NRzZZjKtODlNeKqB
        #            fRkWYyvhb0UbZGH9FUBMJNSo7OCW9vP744ABvIlplhFMoL0WHhO5rL2z9r15r8Wz
        #            lvAwgQKCAQEAozJVojeNPlJmYBUDCs0DuOMXwrvtwWGjHBVaZpHnow/PMwVL2J1z
        #            qX0GNDWv5usaZRETe2v+TG3SW+Gh4Pa46LQAt25QlwLeBq6xt5U4bf99WgEu4/wW
        #            jc0dwUkJLYH+YcO06v8bcCiako6AXhFiBJ/cUftClBK8kgvSSTtWs3uTB73F5Hi8
        #            nmaCVcyYHrs7s+F7GCD0yHncEzxBIHxXGAyhHbjtUMvewrkU6KkBMwvpnXIu3Pe2
        #            OleY/04GEv2xSsFdNlDCz2TpCrraYAyITnNPnbbYABpa1wTTcRFcQ5Cq+Wdmxbzd
        #            wyRk7kFPHOUtk/xucYvsD+W2w19tyDwUCQKCAQBT1tTykKRBC0wIQc8F2d5m/FdT
        #            FfO+ptDHNT6jdsoUwuU8Ol9wz8OW0f0oJS+OnNw7eeHLa5OmTyQ4UYW0LZ+RpwvD
        #            HSWJsP2+jnKvsnlyhVrRDynKDvy1i5kX286pR+6qVW2l6PQnovdZpV3U2UsJ089u
        #            +0Dl2Cn/9O2HO/ciR+nAuK2Qrxj6NP24sie4tFz6E5Fh/9QIvaIbwiNu5uXxKiuA
        #            V5NzVasUzuQizih5ggto02JwVbLkiC0jqvUk/v6avnozn+NgYL+sA3fbZo+GCkyz
        #            jOVPADWVH5qu4NFcOf3n7uupWK9Sj1suoR6jc/nBl9j5VFV3nWM0FDR3a6KN
        #            -----END RSA PRIVATE KEY-----

        #以下为读取远程gitee配置方式
#        git:
#          uri: git@gitee.com:kowlone-new/liquidnet-bus-v1.git
#          default-label: dev
#          search-paths: ./liquidnet-bus-config/liquidnet-config
#          strict-host-key-checking: false
#          ignore-local-ssh-settings: true
#          force-pull: true
#          #这个地方复制你的RSA密码，记得这里有个| 别忘了
#          private-key: |
#            -----BEGIN RSA PRIVATE KEY-----
#            MIIJKQIBAAKCAgEAzzryyijrOp90erPi2U/dun+CFtOZ0PoVZbkbE0o+yWSatQAu
#            Mk/P7cfC7RsZnKynYg3XFTyKKXfMH2SBgzImePm76ds7daDh8GrZdBNxrJocN2Vh
#            7pB3RdBqwE3mafiOOQlrRHluifgPNUrqWTqqnvCoVbZOUfCYin4xwxpLEB4NR2gh
#            PZVh5egKThMJns16B82R6fAW6NjS+o9iJG3VAVJsllZGLa/iwrjLSCJZWmNAgGK6
#            JMmhxtkmUDK67yPlT+O5/d6WHNQ4mq2Mwzoi3bpe+LVkbejkoLLD9w1xL1gnzC3Y
#            ICEK+4QKuNrPTeA2xBXIVFLWKmiMZ9+lEPFBjVxqJBM0FTitfJ1su8FcMYlLzr6/
#            7EzMApqOrmz7kuW1Dr3Js1cug0pU8rLjq+kbLUR7FpJ7B+GVju/wFF6OwyT5Bfyt
#            ROSjJmeMqY6oSnXBq1Ljml4B39++uiEZRzSJrc/TVzye5dCfYjUbtglylaQ44qFL
#            J0OpbiNq+kM3x6yOLS60HhMY+vbnleL6rMp2KaTI1VVUQ45PLZSlDZsGc/c6jIFw
#            FcoUIdi7j4FeGJ/N2BBHoajnK00iwVES2Sm4IOnWe0N4fG8PvAFywmG5PJhNWrJ2
#            udLfuZv1t0n0XSwHoJPrATUM4qAbPgaz/2EWy734FlE7mWKP+eqbm7zIC0sCAwEA
#            AQKCAgEAgviyseoioS5eI57FZKsBa/licqLRuC4Wj+/pmMt32zjmPjca+1lOBO4X
#            2FskWM0WDPbKVPWqLIM2UzDmWdC8WAEeLrMMZU+E/LnLLX2MfpX391rwBiLv/wO2
#            NEwHsDoTSSEW1nQY1MIeeoQakMJvS3y2J1XNMiRphD41nSVlA466vcKmH5HmCbQZ
#            rzaBAgjDc2MNMVk4YXmH/ivYz0VLNkatsmZcfEuJeZ/penGbH3FTNtEu7EkzIcXk
#            XRNy6ek56L/4sOaY4SePjtLZABoiJxi/JVkfXAexV48kI2QvgMiqfnUK/2Ni2Yue
#            ay5/jqyCcHOD5Sdli+//rTa/0HFqB5ZKZ8QHcDDVLI88fQjIL9zd9GPaFLpoE5KG
#            gEkcWi1Ux78SxySP1wstRbfXXoRiJWMgmi7xuWSPpGIetnwtdNwmJtj2JWREJQu+
#            zF6RlDHLVOX14Nufg1Afifu3MlZaPlnYIps/m7SHIGevuH2DUVFp0Yjd3p5IQ3Au
#            paFkfcX6nL60UO6HS7xgow78iED0S63e7MBR3xSyGJjHI/Anp5391XtK9tBHEbcr
#            KilqHOdpbquSvfcTiBShYEN0jbNuLkvEAybUgTV0L7pG2DlvBbC/ds+osSR3vII6
#            ta4/js5jpDdQVI3pniG5d6jE4xidS2hHe9mB3vcA04vSseeFGCECggEBAPEXC8HR
#            03Cq8TSNZ8pIsKA7BxU0/NRhqsucHnokHhO6SR57pe1QhQJKlNwuKHrgHU68keMc
#            FnN67mD56JwbbHdCwEPuyB3BLrV+uD2y6YEkaW54pLP8mwisa0X9IDfzyehkbI3m
#            pJzQjVnXwclIyuaCJhohg2IP0QbLrdcxI+PGPafPa5lwDWg7zJt54EDie+OVr2Bj
#            L2pFDDDPiUSSu04x6jxsIRy2aYpVe0VraeQaruChXEwtlozPzKmQBl8xO4KJI4VX
#            YMn/YPSQ9ICx3kazx1F39Us4rX0CFi9JznAuu1lZGwSqVpNgrZzIAtcYUx8WaaXt
#            fFeulc8yNoBHzVUCggEBANwL1RuEyvBygOZuRV8AXU2/m9GA5QKCb2CfoErfviLm
#            /MddPjHgl3FGgrFfHnD4hgaqrtCS1U6AoDORkmnlOmLiL3odwLlGoP6x2eVOKhNl
#            hD00Dv7Kj1SxYiTZdqHsz0j46gTQY+MSaqgW4lgSKiPfNqPLedPcgHSx8+QW3OCv
#            ZOzd05w+uz/UQp50RPm9IltNiRkeeP38DjAK1rE117niqeCKgaxqPeqwI5VK+fqH
#            llRBK/YLMdxf+pUjJAdk5GcQuu+Z07cgl0iSFXkmbNUKoj4QyQwCtjkphkyZBdvY
#            +mwcMmToEn50PsRHVh+i00SNiyO3k3teUnOIdfWtdh8CggEAAob6UZLQg5rXInTl
#            BKLUbymPPnKqv9MyRiYhz6f3RL+sKoyjRaSVcFu1ycUWGYul4wBpCxdtSNKeExgr
#            jw9eiLWDbHLhWCaBRdfJOKRafEcUb9sF5vkb6vBbw4UOxGdi03PSC37CdP5erPVt
#            C54eumHc4mM9jFacG1UhQmM6fBXE6bBr8VTSXyhZUbvqVOPK5qzYBMulYJjOsuhK
#            CRT8r6ooSW/cvP9Qhem1fBnPJ1v8P1CRth64OEupWpGu72qFtC2Z2Lj8w8FQk9+9
#            IGg860LRMRJv2NUERI40C1TbvCNRRXOArADZHXxi9YTHOtf/bxD+FIYzynuDCIP/
#            PEMEbQKCAQBHOXlAUApUK+v3KkhACOEqklPAS2VVG50rfF+o/KURrQyzB0ZjZJwA
#            aV9SRESZMohHTiYJkw2CPHYeWwc2SaFNcoMFlu3Tyr2/0xeBdnx+DMTx/pC//hbI
#            xiXLYaxZm0o5B4DQEBfU3xgw0j9vXGnRdKW9/NWxMtVNcHBOKuxRudQEK4UcNN3t
#            OipaGa5d289sGDvBKrDlHRoGiOuXLqNmIqzz5kE06qqh9WN/Jmalpg+NtA6jtFnu
#            SA7XCSnXTtvzVGH9vh/eTalKLybOMRbXGnsLdeltfs82z28OChXwZFoidjoFmWyr
#            C7tpUuHYmZ6iuOIJrJkLPKuZg9kSrZPnAoIBAQDYXEYu50TwYmYD7Bmjl4LM7zIq
#            jFbB1tIwLEV7DJ1LDLSgrsGsw+Bl6Ic3xwLOs8sml3fqjn4C8h60e5ggf/9heozn
#            bE1afEbK/o9v2h41zCvLXr/0jkHWgP5WbasKdlAWPGQuYGj75AgB5pDMkPFsASTX
#            qcclo3qNoGXAE4tEe+3ruFEKWN2Yo5gHbbtd5jPKdUKvEHnzLWVLpseJM6OgpmIB
#            64okv7Uik6+54j0sew8Iwh68silwrKTnitV3X0BFkTlZrurQO8ZN5iXw7UVv4uGV
#            d6lGuPrzh/tkabIydaTQX84mNfY9wojMsgatgeQ6GKJc/Xt2+dCuXMB/SRj+
#            -----END RSA PRIVATE KEY-----

#  rabbitmq:
#    addresses: ${liquidnet.rabbitmq.host}
#    port: ${liquidnet.rabbitmq.port}
#    username: ${liquidnet.rabbitmq.username}
#    password: ${liquidnet.rabbitmq.password}
# -----------------------------------------------------------
logging:
  file:
    name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}.log
    max-size: 200MB
    max-history: ${liquidnet.logfile.max-history}
  pattern:
    file: '%d{yyyy-MM-dd HH:mm:ss.SSS} [%level] %X{lnsTranceId} [%logger{56}:%line] - %msg%n'
    console: '%d{yyyy-MM-dd HH:mm:ss.SSS} [%level] %X{lnsTranceId} [%logger{56}:%line] - %msg%n'
    rolling-file-name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}-%d{yyyy-MM-dd}.%i.log
  level:
    root: error
    #以下是为指定包设置日志级别
    com.liquidnet.service.feign: error
    com.liquidnet: ${liquidnet.logfile.level}
# -----------------------------------------------------------
eureka:
  client:
    register-with-eureka: true
    fetch-registry: false
    serviceUrl:
      defaultZone: http://${liquidnet.security.username}:${liquidnet.security.password}@${liquidnet.eureka.host}/eureka-server/eureka
  instance:
    hostname: ${spring.cloud.client.ip-address}
    lease-expiration-duration-in-seconds: 15 #服务过期时间配置,超过这个时间没有接收到心跳EurekaServer就会将这个实例剔除
    lease-renewal-interval-in-seconds: 5 #服务刷新时间配置，每隔这个时间会主动心跳一次
    prefer-ip-address: true
    instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${spring.application.instance_id:${server.port}}
    metadata-map:
      configPath: ${server.servlet.context-path}
#      management.context-path: ${server.servlet.context-path:}

## -----------------------------------------------------------
#actuator/info
info:
  app:
    name: ${liquidnet.info.name}
  company:
    name: lightnet.io
  build:
    groupId: '@project.groupId@'
    artifactId: '@project.artifactId@'
    version: '@project.version@'
# -----------------------------------------------------------
management:
  endpoints:
    web:
      exposure:
        include: bus-refresh,trace,info,health,refresh
